| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# IRegistry Class Reference

`#include <GaudiKernel/IRegistry.h>`

Inheritance diagram for IRegistry:

[legend]

List of all members.

## Detailed Description

The IRegistry represents the entry door to the environment any data object residing in a transient data store is embedded.

Split from directory browsing (which is now sub-classed), providing a light-weight interface to differing registry mechanism.

Definition at line 21 of file IRegistry.h.

## Public Types
typedef std::string | name_type
| Type definitions Name type.
typedef std::string | id_type
| Identifier Key type.
## Public Member Functions
virtual | ~IRegistry ()
| destructor
virtual unsigned long | addRef ()=0
| Add reference to object.
virtual unsigned long | release ()=0
| release reference to object
virtual const name_type & | name () const =0
| Name of the directory (or key).
virtual const id_type & | identifier () const =0
| Full identifier (or key).
virtual IDataProviderSvc * | dataSvc () const =0
| Retrieve pointer to Transient Store.
virtual DataObject * | object () const =0
| Retrieve object behind the link.
virtual IOpaqueAddress * | address () const =0
| Retrieve opaque storage address.
virtual void | setAddress (IOpaqueAddress *pAddress)=0
| Set/Update Opaque storage address.

## Member Typedef Documentation

typedef std::string IRegistry::name_type

Type definitions Name type.

Definition at line 25 of file IRegistry.h.

typedef std::string IRegistry::id_type

Identifier Key type.

Definition at line 27 of file IRegistry.h.

## Constructor & Destructor Documentation

virtual IRegistry::~IRegistry | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 30 of file IRegistry.h.

    00030 { }

## Member Function Documentation

virtual unsigned long IRegistry::addRef | ( |  | ) | `[pure virtual]`

Add reference to object.

Implemented in DataSvcHelpers::RegistryEntry.

virtual unsigned long IRegistry::release | ( |  | ) | `[pure virtual]`

release reference to object

Implemented in DataSvcHelpers::RegistryEntry.

virtual const name_type& IRegistry::name | ( |  | ) | const`[pure virtual]`

Name of the directory (or key).

Implemented in DataSvcHelpers::RegistryEntry.

virtual const id_type& IRegistry::identifier | ( |  | ) | const`[pure virtual]`

Full identifier (or key).

Implemented in DataSvcHelpers::RegistryEntry.

virtual IDataProviderSvc* IRegistry::dataSvc | ( |  | ) | const`[pure virtual]`

Retrieve pointer to Transient Store.

Implemented in DataSvcHelpers::RegistryEntry.

virtual DataObject* IRegistry::object | ( |  | ) | const`[pure virtual]`

Retrieve object behind the link.

Implemented in DataSvcHelpers::RegistryEntry.

virtual IOpaqueAddress* IRegistry::address | ( |  | ) | const`[pure virtual]`

Retrieve opaque storage address.

Implemented in DataSvcHelpers::RegistryEntry.

virtual void IRegistry::setAddress | ( | IOpaqueAddress * | pAddress | ) | `[pure virtual]`

Set/Update Opaque storage address.

Implemented in DataSvcHelpers::RegistryEntry.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/IRegistry.h